Subject: 'Red Malaysion' guava

From: [email-masked] (Matthew Shugart)
Date: Thu, 16 May 1996 16:07:08 -0800

Has anybody had any experience with this variety?  I saw it--beautiful red
foliage.  It would be a great addition to an edible landscape.  But so far
I have not been able to find a reference (including ther California Rare
Fruit Growers "Fruit Facts" for guava) that describes the fruit.  One
wants one's edible landscape to be edible as well as pretty, after all! 
Thanks to anybody who might have any knowledge of this variety.